org.apache.cassandra.transport

## Class RequestThreadPoolExecutor

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - java.util.concurrent.ThreadPoolExecutor
    - - org.jboss.netty.handler.execution.MemoryAwareThreadPoolExecutor
      - - org.apache.cassandra.transport.RequestThreadPoolExecutor

All Implemented Interfaces:
  java.util.concurrent.Executor, java.util.concurrent.ExecutorService

    public class RequestThreadPoolExecutor
    extends org.jboss.netty.handler.execution.MemoryAwareThreadPoolExecutor

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor

`java.util.concurrent.ThreadPoolExecutor.AbortPolicy, java.util.concurrent.ThreadPoolExecutor.CallerRunsPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardOldestPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardPolicy`

### Constructor Summary

Constructors
Constructor and Description
`RequestThreadPoolExecutor()`

### Method Summary

Methods
`protected void` `afterExecute(java.lang.Runnable r, java.lang.Throwable t)`
`void` `shutdown()`
`java.util.List<java.lang.Runnable>` `shutdownNow()`

### Methods inherited from class org.jboss.netty.handler.execution.MemoryAwareThreadPoolExecutor

`beforeExecute, decreaseCounter, doExecute, doUnorderedExecute, execute, getMaxChannelMemorySize, getMaxTotalMemorySize, getNotifyChannelFuturesOnShutdown, getObjectSizeEstimator, increaseCounter, remove, setMaxChannelMemorySize, setMaxTotalMemorySize, setNotifyChannelFuturesOnShutdown, setObjectSizeEstimator, shouldCount, shutdownNow, terminated`

### Methods inherited from class java.util.concurrent.ThreadPoolExecutor

`allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, toString`

### Methods inherited from class java.util.concurrent.AbstractExecutorService

`invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestThreadPoolExecutor

    public RequestThreadPoolExecutor()

### Method Detail

#### afterExecute

    protected void afterExecute(java.lang.Runnable r,
                    java.lang.Throwable t)

Overrides:
  `afterExecute` in class `java.util.concurrent.ThreadPoolExecutor`

#### shutdown

    public void shutdown()

Specified by:
  `shutdown` in interface `java.util.concurrent.ExecutorService`
Overrides:
  `shutdown` in class `java.util.concurrent.ThreadPoolExecutor`

#### shutdownNow

    public java.util.List<java.lang.Runnable> shutdownNow()

Specified by:
  `shutdownNow` in interface `java.util.concurrent.ExecutorService`
Overrides:
  `shutdownNow` in class `org.jboss.netty.handler.execution.MemoryAwareThreadPoolExecutor`